VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisimBox.Renderer.RenderContextSettings Class Reference

class containing info for render context settings and for it's initialization More...

List of all members.

## Public Member Functions
| RenderContextSettings ()
| RenderContextSettings (int width, int height)
| Creates default rendering context.
| RenderContextSettings (IRenderWindow win)
void | SetIRW (IRenderWindow newwin)
| used by renderer, don't touch this!
## Properties
IRenderWindow | Window`[get]`
| summary> Title of the window (if renderer creates it's own window)
string | WindowTitle`[get, set]`
| summary> Run in fullscreen?
bool | FullScreen`[get, set]`
| summary> Can be window switched between fullscreen and windowed mode?
bool | FullScreenSwitch`[get, set]`
| summary> Will be window resizable?
bool | Resizable`[get, set]`
bool | KeepAspectRatio`[get, set]`
| If set to true window will keep aspect ratio when resizing.
int | Width`[get, set]`
| summary> Height of the renderer window in pixels. Valid only for automatically created windows, use VISIMBOXcontrol properties for embeded windows.
int | Height`[get, set]`
| summary> Bits per pixel (color depth) for fullscreen modes, 0 means use desktop settings or default value
int | BPP`[get]`
bool | UseZbuffer`[get]`
| Use zbuffer? False value has meaning only for special 2d windows.
int | ZbufferBits`[get]`
| Number of the zbuffer bits (0, 16, 32), zero means default.
ColorByte | BackgroundColor`[get, set]`
| Background color of the rendercontext.
bool | ClearBackground`[get, set]`
| If set to true, background will be cleared on start of every frame Setting to false when always rendering over the whole screen (complete scenes) has some small performance gain.
int | MinWidth`[get, set]`
int | MaxWidth`[get, set]`
int | MinHeight`[get, set]`
int | MaxHeight`[get, set]`

## Detailed Description

class containing info for render context settings and for it's initialization

## Constructor & Destructor Documentation

VisimBox.Renderer.RenderContextSettings.RenderContextSettings | ( |  | ) |

VisimBox.Renderer.RenderContextSettings.RenderContextSettings | ( | int | width,
|  | int | height
| ) |  |

Creates default rendering context.

Parameters:

  height | Requested width (0 to use default)
  width | Requested height (0 to use default)

VisimBox.Renderer.RenderContextSettings.RenderContextSettings | ( | IRenderWindow | win | ) |

## Member Function Documentation

void VisimBox.Renderer.RenderContextSettings.SetIRW | ( | IRenderWindow | newwin | ) |

used by renderer, don't touch this!

Parameters:

  irw |

## Property Documentation

ColorByte VisimBox.Renderer.RenderContextSettings.BackgroundColor`[get, set]`

Background color of the rendercontext.

int VisimBox.Renderer.RenderContextSettings.BPP`[get]`

bool VisimBox.Renderer.RenderContextSettings.ClearBackground`[get, set]`

If set to true, background will be cleared on start of every frame Setting to false when always rendering over the whole screen (complete scenes) has some small performance gain.

summary> Minimal width of the renderer window in pixels (for resizable windows). If set to zero, any value is possible. Valid only for automatically created windows, use VISIMBOXcontrol properties for embeded windows.

bool VisimBox.Renderer.RenderContextSettings.FullScreen`[get, set]`

summary> Can be window switched between fullscreen and windowed mode?

bool VisimBox.Renderer.RenderContextSettings.FullScreenSwitch`[get, set]`

summary> Will be window resizable?

int VisimBox.Renderer.RenderContextSettings.Height`[get, set]`

summary> Bits per pixel (color depth) for fullscreen modes, 0 means use desktop settings or default value

bool VisimBox.Renderer.RenderContextSettings.KeepAspectRatio`[get, set]`

If set to true window will keep aspect ratio when resizing.

summary> Width of the renderer window in pixels. Valid only for automatically created windows, use VISIMBOXcontrol properties for embeded windows.

int VisimBox.Renderer.RenderContextSettings.MaxHeight`[get, set]`

int VisimBox.Renderer.RenderContextSettings.MaxWidth`[get, set]`

summary> Minimal height of the renderer window in pixels (for resizable windows). If set to zero, any value is possible. Valid only for automatically created windows, use VISIMBOXcontrol properties for embeded windows.

int VisimBox.Renderer.RenderContextSettings.MinHeight`[get, set]`

summary> Maximal height of the renderer window in pixels (for resizable windows). If set to zero, any value is possible. Valid only for automatically created windows, use VISIMBOXcontrol properties for embeded windows.

int VisimBox.Renderer.RenderContextSettings.MinWidth`[get, set]`

summary> Maximal width of the renderer window in pixels (for resizable windows). If set to zero, any value is possible. Valid only for automatically created windows, use VISIMBOXcontrol properties for embeded windows.

bool VisimBox.Renderer.RenderContextSettings.Resizable`[get, set]`

bool VisimBox.Renderer.RenderContextSettings.UseZbuffer`[get]`

Use zbuffer? False value has meaning only for special 2d windows.

int VisimBox.Renderer.RenderContextSettings.Width`[get, set]`

summary> Height of the renderer window in pixels. Valid only for automatically created windows, use VISIMBOXcontrol properties for embeded windows.

IRenderWindow VisimBox.Renderer.RenderContextSettings.Window`[get]`

summary> Title of the window (if renderer creates it's own window)

string VisimBox.Renderer.RenderContextSettings.WindowTitle`[get, set]`

summary> Run in fullscreen?

int VisimBox.Renderer.RenderContextSettings.ZbufferBits`[get]`

Number of the zbuffer bits (0, 16, 32), zero means default.

The documentation for this class was generated from the following file:

- ViewSettings.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events